Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76972 - Fatal crash with SVG thumbnails
Summary: Fatal crash with SVG thumbnails
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-30 13:43 UTC by Toussaint Fridiric
Modified: 2015-01-08 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-05 16:54:04 UTC


Attachments (Terms of Use)
problematic SVG file received via email (deleted)
2002-10-31 17:27 UTC, Havoc Pennington
no flags Details

Description Toussaint Fridiric 2002-10-30 13:43:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Nautilus crashs when it's reading a directory with SVG files

Version-Release number of selected component (if applicable): 2.0.6


How reproducible:
Always

Steps to Reproduce:
1.Create a SVG file with Sodipodi
2.Save it into a directory
3.Open this directory with Nautilus
	

Actual Results:  Fatal crash

Expected Results:  A thumbnailed image or a type mime icon

Additional info:

Troubles with librSVG ? I get the same problem when i tried Ximian preview of
Gnome 2 this summer, but it was fixed about 4/5 september. If you could correct
it, it's irritant for me and my daily job.

Many thanks in advance

Comment 1 Havoc Pennington 2002-10-31 02:49:10 UTC
We need a copy of the SVG file that causes the problem.

Comment 2 Havoc Pennington 2002-10-31 17:27:03 UTC
Created attachment 82905 [details]
problematic SVG file received via email

Comment 3 Alexander Larsson 2002-11-05 11:27:34 UTC
There are strings in that svg that are not valid utf8, and the xml doesn't
specify any encoding. Thus it's invalid, but we still shouldn't crash.


Comment 4 Alexander Larsson 2002-11-05 11:48:15 UTC
I've fixed librsvg in cvs HEAD to not crash, but sodipodi should really be fixed
to add an encoding to the file.
Changing the first line in the file to:
 <?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
makes it work.

hp: How are we supposed to handle bugs that are resolved in gnome cvs?


Comment 5 Havoc Pennington 2002-11-05 16:53:56 UTC
If you want to errata the bug, keep it open, otherwise ->DEFERRED and we'll get
the fix on next upgrade.


Note You need to log in before you can comment on or make changes to this bug.